summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Reza Talebi2021-04-10 04:44:01 +0200
committer Willy Sudiarto Raharjo2021-04-10 12:04:43 +0200
commit82f9836e8cd5213212a584f9225e3fe517ed4efa (patch)
treeec21535f509eecbb72020aed5136bd32f9854146
parentd27397ecf736f963c4278b43bd4e7c4fe54d0b6b (diff)
downloadslackbuilds-82f9836e8cd5213212a584f9225e3fe517ed4efa.tar.gz
system/powershell: Updated for version 7.1.3.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/powershell/doinst.sh2
-rw-r--r--system/powershell/powershell.SlackBuild33
-rw-r--r--system/powershell/powershell.info6
3 files changed, 16 insertions, 25 deletions
diff --git a/system/powershell/doinst.sh b/system/powershell/doinst.sh
deleted file mode 100644
index 4b87024f0b..0000000000
--- a/system/powershell/doinst.sh
+++ /dev/null
@@ -1,2 +0,0 @@
-chmod +x /opt/microsoft/powershell/pwsh
-ln -s /opt/microsoft/powershell/pwsh /usr/bin/pwsh
diff --git a/system/powershell/powershell.SlackBuild b/system/powershell/powershell.SlackBuild
index 9232ac2e5e..bcdfa13d76 100644
--- a/system/powershell/powershell.SlackBuild
+++ b/system/powershell/powershell.SlackBuild
@@ -23,16 +23,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=powershell
-VERSION=${VERSION:-7.0.3}
+VERSION=${VERSION:-7.1.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHITECTURE="x64"
+else
+ echo "Package for $ARCH architecture is not available."
+ exit 1
fi
CWD=$(pwd)
@@ -40,20 +43,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
set -e
-if [ "$( uname -m )" = "x86_64" ]; then
- ARCH="x86_64"
- ARCHITECTURE="x64"
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- BITS="amd64"
-else
- echo "Package for $(uname -m) architecture is not available."
- exit 1
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -64,12 +55,14 @@ mkdir -p opt/microsoft/powershell
tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C opt/microsoft/powershell
chown -R root:root opt/microsoft/powershell
+mkdir -p usr/bin/
+ln -s /opt/microsoft/powershell/pwsh usr/bin/pwsh
+
mkdir -p usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg --linkadd y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/powershell/powershell.info b/system/powershell/powershell.info
index 948c90ce57..9e7c9aaa3f 100644
--- a/system/powershell/powershell.info
+++ b/system/powershell/powershell.info
@@ -1,10 +1,10 @@
PRGNAM="powershell"
-VERSION="7.0.3"
+VERSION="7.1.3"
HOMEPAGE="https://www.microsoft.com/powershell/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v7.0.3/powershell-7.0.3-linux-x64.tar.gz"
-MD5SUM_x86_64="742db1551728c88d6277653d34db56b4"
+DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v7.1.3/powershell-7.1.3-linux-x64.tar.gz"
+MD5SUM_x86_64="bdeb7d2a5cf51b97b02d4c16a055c8eb"
REQUIRES=""
MAINTAINER="Reza Talebi"
EMAIL="reza.talebi.73@outlook.com"